AssociationWithoutAttributs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.findpath
Class AssociationWithoutAttributs

    java.lang.Object
      com.wscreation.findpath.AssociationWithoutAttributs

    public class AssociationWithoutAttributs

extends java.lang.Object

Field Summary
`private com.hp.hpl.jena.rdf.model.Resource` | `belongsColumn`
`private com.hp.hpl.jena.rdf.model.Resource` | `belongsTable`
`private com.hp.hpl.jena.rdf.model.Resource` | `refersColumn`
`private com.hp.hpl.jena.rdf.model.Resource` | `refersTable`
`private com.hp.hpl.jena.rdf.model.Resource` | `table`

Constructor Summary
`AssociationWithoutAttributs(com.hp.hpl.jena.rdf.model.Resource refT, com.hp.hpl.jena.rdf.model.Resource refC, com.hp.hpl.jena.rdf.model.Resource belT, com.hp.hpl.jena.rdf.model.Resource belC, com.hp.hpl.jena.rdf.model.Resource table)`

Method Summary
`com.hp.hpl.jena.rdf.model.Resource` | `getBelongsColumn()`
`com.hp.hpl.jena.rdf.model.Resource` | `getBelongsTable()`
`com.hp.hpl.jena.rdf.model.Resource` | `getRefersColumn()`
`com.hp.hpl.jena.rdf.model.Resource` | `getRefersTable()`
`com.hp.hpl.jena.rdf.model.Resource` | `getTable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### refersTable

    private com.hp.hpl.jena.rdf.model.Resource refersTable

### refersColumn

    private com.hp.hpl.jena.rdf.model.Resource refersColumn

### belongsTable

    private com.hp.hpl.jena.rdf.model.Resource belongsTable

### belongsColumn

    private com.hp.hpl.jena.rdf.model.Resource belongsColumn

### table

    private com.hp.hpl.jena.rdf.model.Resource table

Constructor Detail

### AssociationWithoutAttributs

    public AssociationWithoutAttributs(com.hp.hpl.jena.rdf.model.Resource refT,
                                       com.hp.hpl.jena.rdf.model.Resource refC,
                                       com.hp.hpl.jena.rdf.model.Resource belT,
                                       com.hp.hpl.jena.rdf.model.Resource belC,
                                       com.hp.hpl.jena.rdf.model.Resource table)

Method Detail

### getRefersTable

    public com.hp.hpl.jena.rdf.model.Resource getRefersTable()

### getBelongsTable

    public com.hp.hpl.jena.rdf.model.Resource getBelongsTable()

### getBelongsColumn

    public com.hp.hpl.jena.rdf.model.Resource getBelongsColumn()

### getRefersColumn

    public com.hp.hpl.jena.rdf.model.Resource getRefersColumn()

### getTable

    public com.hp.hpl.jena.rdf.model.Resource getTable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD